Subject: Re: bug#3035: 23.0.92; doc, terminology for graphics, display, terminal, etc.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Apr 2009 13:47:19 +0300

> From: "Drew Adams" <[email-masked]>
> Date: Sat, 18 Apr 2009 00:52:08 -0700
> 
> > > 2. In the Elisp manual, I see the use of terms such as "graphical
> > > terminal", "graphicical display" (also "graphics display"),
> > > "(non-)graphics-capable display", "text terminals" (opposed to
> > > graphical), "graphic characters", and "graphical 
> > > attributes", without any real explanation or definition.
> > 
> > From the node "Frames", near the beginning:
> > 
> >        There are two classes of terminals: text-only terminals and
> >     graphical terminals.  Text-only terminals are non-graphics-capable
> >     display devices, including "terminal emulators" such as xterm.  On
> >     text-only terminals, each frame occupies the entire 
> >     terminal screen;
> >     although you can create additional frames and switch 
> >     between them, only
> >     one frame can be shown at any given time.  We refer to frames on
> >     text-only terminals as "terminal frames".  Graphical 
> >     terminals, on the
> >     other hand, are graphics-capable windowing systems, such as the X
> >     Window System.  On a graphical terminal, Emacs can 
> >     display multiple
> >     frames simultaneously.  We refer to such frames as 
> >     "window frames".
> > 
> > If this is not good enough, please tell what is missing.
> 
> Yes, that helps wrt "graphical terminal" and "text terminal" (but not with the
> rest).

But that's what your Item 2 (above) was all about: the distinction
between text and graphical terminals.  What else is needed?

> (BTW, in my version, it says "On these "multi-monitor" setups, a single DISPLAY
> value controls the output to all the physical monitors.")

My citation was from today's CVS.

> BTW, I see in passing this, in node Multiple Displays: "_the_ selected frame".
> Is it normal that those underscores are shown as such? 

That's how emphasis is shown in Info.  In print, it comes out in
slanted typeface.

> > They are not.  Each one should be explained in its own place, and the
> > more important ones, although certainly not all, are in the Glossary
> > node.
> 
> I see. That's good.
> 
> How do I get to the Glossary node? I tried `g Glossary' and got no match. I
> tried `C-h m' and `?' and looked for "Glossary" in the Info mode help and
> summary, but didn't find it in either.

Sorry, I mean the Glossary in the Emacs manual, not in ELisp.